#pragma once

#include <BWAPI.h>
#include "Macro.h"

using namespace BWAPI;
class CBase;
class Player;

class CUnit
{
public:

	CUnit();
	CUnit(BWAPI::Unit unit);

	std::string action;
	int id;
	void initialize();
	bool isIdle();
	bool isInSquad();
	bool isMining();
	bool isScout;
	BWAPI::TilePosition lastSeen;
	void mine(std::string action, int baseIndex);
	int miningBase;
	int resourceType;
	int resourceVal;
	int squadIndex;
	BWAPI::TilePosition target;
	BWAPI::UnitType targetUnit;
	TilePosition tilePosition;
	BWAPI::Unit unit;
	BWAPI::UnitType unitType;
	void unsetTargetUnit();
};
